# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Landstalker - The Treasures of King Nole Template

game: Landstalker - The Treasures of King Nole
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Landstalker - The Treasures of King Nole: 1.8.7 # Version of the world required for this yaml to work as expected.

Landstalker - The Treasures of King Nole:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # The goal to accomplish in order to complete the seed.
    # - Beat Gola: beat the usual final boss (same as vanilla)
    # - Reach Kazalt: find the jewels and take the teleporter to Kazalt
    # - Beat Dark Nole: the door to King Nole's fight brings you into a final dungeon with an absurdly hard boss you have
    #     to beat to win the game
    beat_gola: 50
    reach_kazalt: 0
    beat_dark_nole: 0

  spawn_region:
    # List of spawn locations that can be picked by the randomizer.
    # It is advised to keep Massan as your spawn location for your first few seeds.
    # Picking a late-game location can make the seed significantly harder, both for logic and combat.
    massan: 50
    gumi: 0
    kado: 0
    waterfall: 0
    ryuma: 0
    mercator: 0
    verla: 0
    greenmaze: 0
    destel: 0

  jewel_count:
    # Determines the number of jewels to find to be able to reach Kazalt.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 9
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-9: 0 # random value between 0 and 9

  progressive_armors:
    # When obtaining an armor, you get the next armor tier instead of getting the specific armor tier that was
    # placed here by randomization. Enabling this provides a smoother progression.
    'false': 0
    'true': 50

  use_record_book:
    # Gives a Record Book item in starting inventory, allowing to save the game anywhere.
    # This makes the game significantly less frustrating and enables interesting save-scumming strategies in some places.
    'false': 0
    'true': 50

  use_spell_book:
    # Gives a Spell Book item in starting inventory, allowing to warp back to the starting location at any time.
    # This prevents any kind of softlock and makes the world easier to explore.
    'false': 0
    'true': 50

  shop_prices_factor:
    # Applies a percentage factor on all prices in shops. Having higher prices can lead to a bit of gold farming, which
    # can make seeds longer but also sometimes more frustrating.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 50
    # Maximum value is 200
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-50-200: 0 # random value between 50 and 200

  combat_difficulty:
    # Determines the overall combat difficulty in the game by modifying both monsters HP & damage.
    # - Peaceful: 50% HP & damage
    # - Easy: 75% HP & damage
    # - Normal: 100% HP & damage
    # - Hard: 140% HP & damage
    # - Insane: 200% HP & damage
    peaceful: 0
    easy: 0
    normal: 50
    hard: 0
    insane: 0

  teleport_tree_requirements:
    # Determines the requirements to be able to use a teleport tree pair.
    # - None: All teleport trees are available right from the start
    # - Clear Tibor: Tibor needs to be cleared before unlocking any tree
    # - Visit Trees: Both trees from a tree pair need to be visited to teleport between them
    # Vanilla behavior is "Clear Tibor And Visit Trees"
    none: 0
    clear_tibor: 0
    visit_trees: 0
    clear_tibor_and_visit_trees: 50

  shuffle_trees:
    # If enabled, all teleportation trees will be shuffled into new pairs.
    'false': 50
    'true': 0

  ensure_ekeeke_in_shops:
    # Ensures an EkeEke will always be for sale in one shop per region in the game.
    # Disabling this can lead to frustrating situations where you cannot refill your health items and might get locked.
    'false': 0
    'true': 50

  remove_gumi_boulder:
    # Removes the boulder between Gumi and Ryuma, which is usually a one-way path.
    # This makes the vanilla early game (Massan, Gumi...) more easily accessible when starting outside it.
    'false': 50
    'true': 0

  allow_whistle_usage_behind_trees:
    # In Greenmaze, Einstein Whistle can only be used to call Cutter from the intended side by default.
    # Enabling this allows using Einstein Whistle from both sides of the magic trees.
    # This is only useful in seeds starting in the "waterfall" spawn region or where teleportation trees are made open from the start.
    'false': 0
    'true': 50

  handle_damage_boosting_in_logic:
    # Adds damage boosting as a logical rule, removing any requirements involving Iron Boots or Fireproof Boots.
    # Who doesn't like walking on spikes and lava?
    'false': 50
    'true': 0

  handle_enemy_jumping_in_logic:
    # Adds jumping on enemies' heads as a logical rule.
    # This gives access to Mountainous Area from Lake Shrine sector and to the cliff chest behind a magic tree near Mir Tower.
    # These tricks not being easy, you should leave this disabled until practiced.
    'false': 50
    'true': 0

  handle_tree_cutting_glitch_in_logic:
    # Adds tree-cutting glitch as a logical rule, enabling access to both chests behind magic trees in Mir Tower Sector
    # without having Axe Magic.
    'false': 50
    'true': 0

  hint_count:
    # Determines the number of Foxy NPCs that will be scattered across the world, giving various types of hints
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 25
    12: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-25: 0 # random value between 0 and 25

  revive_using_ekeeke:
    # In the vanilla game, when you die, you are automatically revived by Friday using an EkeEke.
    # This setting allows disabling this feature, making the game extremely harder.
    # USE WITH CAUTION!
    'false': 0
    'true': 50

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
